<!DOCTYPE html>
<html lang="pl">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Prognoza pogody Poznań</title>
        <link rel="stylesheet" href="css/styl4.css" />
    </head>
    <body>
        <header id="lewy">
            <p>maj, 2019 r.</p>
        </header>
        <header id="srodkowy">
            <h2>Prognoza dla Poznania</h2>
        </header>
        <header id="prawy">
            <img src="img/logo.png" alt="prognoza" />
        </header>
        <section id="lewy">
            <a href="kwerenda/kwerendy.txt"> Kwerendy </a>
        </section>
        <section id="prawy">
            <img src="img/obraz.jpg" alt="Polska, Poznań" />
        </section>
        <main>
            <table>
                <tr>
                    <th>Lp</th>
                    <th>DATA</th>
                    <th>NOC - TEMPERATURA</th>
                    <th>DZIEŃ - TEMPERATURA</th>
                    <th>OPADY[mm/h]</th>
                    <th>CIŚNIENIE[hPa]</th>
                </tr>
                <?php skraaa(); ?>
            </table>
        </main>
        <footer>
            <p>Strone wykonał: 00000000000</p>
        </footer>
    </body>
</html>

<?php 
    function skraaa(){
        $pdo = new PDO("mysql:dbname=prognoza;host=localhost", "root", "");
        $query="SELECT * FROM pogoda WHERE miasta_id = 2 ORDER BY data_prognozy DESC;";
        // $stmt = $pdo->query($query);
        $stmt = $pdo->query($query);
        
        while($row = $stmt->fetch()){
            echo "<tr>";
            echo "<td>{$row['id']}</td>";
            echo "<td>{$row['data_prognozy']}</td>";
            echo "<td>{$row['temperatura_noc']}</td>";
            echo "<td>{$row['temperatura_dzien']}</td>";
            echo "<td>{$row['opady']}</td>";
            echo "<td>{$row['cisnienie']}</td>";
            echo "</tr>";
        }
        
    }


    // for($i = 0; $i < count($wynik); $i++){
    //     $row = $wynik[$i];
    //     echo $row[0] . " " . $row[1];
    // }
    // while($row = mysqli_fetch_row($stmt)){
    //     echo $row[0]. " ". $row[1];
    // }